package com.yahoo.lsg.correlatedresults;


public class RandomVariableSummation<T> extends DictionarySummation<T,RandomVariable>{

  @Override
  public RandomVariable add(RandomVariable original, RandomVariable increment) {
    RandomVariable copy = new RandomVariable(original);
    copy.addSamples(increment);
    return copy;
  }

  @Override
  public RandomVariable getDefault() {
    return new RandomVariable();
  }
  
}
