package com.yahoo.lsg.correlatedresults;

import java.util.Hashtable;
import java.util.Map;
import java.util.Set;

public class LongSummation<T> {
  public LongSummation(){
    data = new Hashtable<T,Long>();
  }
  
  Hashtable<T,Long> data;
  public long get(T key){
    if (data.containsKey(key)){
      return data.get(key);
    }
    return 0;
  }
  
  public void add(T key,long amount){
    long before = get(key);
    long after = before + amount;
    data.put(key, after);
  }
  
  public Set<Map.Entry<T, Long>> entrySet(){
    return data.entrySet();
  }
}
