package com.yahoo.lsg.lifelong;

import game.Game;

/**
 * In addition, a LifelongStrategy must implement EITHER
 * a constructor taking GameInformation, a long and a string
 * for example MyLifelongStrategy(GameInformation info, long seed, String options)
 * 
 */
public interface LifelongStrategy{
  public void newGame(Game g, int iterations);
  public void observeOutcome(int[] actions);
  public int getAction();
  
}
