package stats;

import java.util.Arrays;

import game.Game;
import game.GameGenerator;


/**
 * An observer of every outcome.
 * @author maz
 *
 */
public class DetailedObserver implements SeriesObserver{
  
  void setJavaReadable(){
    openBrace = '{';
    closeBrace = '}';
  }
  public DetailedObserver(GameGenerator g){
    
  }
  
  char openBrace = '{';
  char closeBrace = '}';
  public void observeOutcome(int[] actions) {
    System.out.print(""+openBrace+actions[0]);
    for(int i=1;i<actions.length;i++){
      System.out.print(","+actions[i]);
    }
    System.out.println(closeBrace+",");
  }
  
  public void display(String[] playerNames) {
    System.out.print(openBrace+playerNames[0]);
    for(int i=1;i<playerNames.length;i++){
      System.out.print(","+playerNames[i]);
    }
    System.out.println(closeBrace);
    System.out.println(Arrays.toString(playerNames));
  }

  public void finishGame() {
    System.out.println(openBrace+"-1"+closeBrace);
  }

  public void finishSeries() {
    System.out.println(openBrace+"-2"+closeBrace);

  }
  @Override
  public void startGame(Game g) {
    
    
  }
}
