package stats;

import util.Array;
import game.GameGenerator;
import game.Utility;


/**
 * An observer of utility, like jointactionutility, that does
 * not keep track of joint actions, simply utilities.
 * @author maz
 *
 */
public class NoisyUtilitySeriesObserver extends UtilitySeriesObserver{
  public NoisyUtilitySeriesObserver(GameGenerator g){
    super(g);
  }
  /**
   * Construct a utility observer.
   * @param utility a utility function to be used.
   * @param numPlayers the number of players in the game.
   */
  public NoisyUtilitySeriesObserver(Utility utility, int numPlayers){
    super(utility,numPlayers);
  }

  
    

  public void finishGame() {
    System.out.println(Array.arrayToNakedString(gameUtilityTotals));
    super.finishGame();
  }
}
